Bug 366524 - Add video parameters "Aspect Ratio" and "Frame Rate" to the list of Additional Information columns
Summary: Add video parameters "Aspect Ratio" and "Frame Rate" to the list of Additiona...
Status: RESOLVED FIXED
Alias: None
Product: dolphin
Classification: Applications
Component: view-engine: details mode (show other bugs)
Version: 17.04.2
Platform: Neon Linux
: NOR wishlist (vote)
Target Milestone: ---
Assignee: Dolphin Bug Assignee
URL:
Keywords: junior-jobs, usability
Depends on:
Blocks:
 
Reported: 2016-08-08 12:19 UTC by KDE Neon user
Modified: 2019-03-27 20:22 UTC (History)
4 users (show)

See Also:
Latest Commit:
Version Fixed In: 19.08.0


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description KDE Neon user 2016-08-08 12:19:59 UTC
When you set the view mode to "Details", Dolphin can display "Additional information" columns with parameters for images and audio files, but not videos.

Consider adding video parameters, such as "resolution", to the list of possible columns to make it easier to manage and sort video collections.

Reproducible: Always
Comment 1 Patrick Silva 2016-08-20 22:12:49 UTC
Good request, I need this feature too. "Duration" is welcome too.
Comment 2 Kai Uwe Broulik 2017-06-20 10:12:49 UTC
Should be fairly trivial to add.
Comment 3 Nate Graham 2017-09-04 21:41:34 UTC
Duration is actually already available under the Audio section, but it works fine for video.

Bitrate likewise would work for video as well as audio. That's tracked by https://bugs.kde.org/show_bug.cgi?id=368418

We don't have Resolution available, but we could easily add "Aspect Ratio" and "Frame Rate". Rt-titling to track adding those.
Comment 4 Julian Steinmann 2018-03-30 18:22:21 UTC
Has been added with Dolphin 17.12, closing.
Comment 5 Patrick Silva 2018-10-17 13:20:54 UTC
Both "Aspect ratio" and "Frame rate" columns are still unavailable in dolphin 18.08.2. Can we reopen this report please?

Operating System: Arch Linux 
KDE Plasma Version: 5.14.1
Qt Version: 5.12.0 beta2
KDE Frameworks Version: 5.51.0
Comment 6 Nate Graham 2018-10-17 15:23:18 UTC
Can confirm, these are still missing.
Comment 7 Nate Graham 2019-03-27 20:22:57 UTC
Git commit 4bca03532bcf7d1a1d66df7a8102e98b4cf3354a by Nate Graham, on behalf of Kochih Wu.
Committed on 27/03/2019 at 20:22.
Pushed by ngraham into branch 'master'.

Add "Aspect Ratio" and "Frame Rate" to additional video information columns

Summary:
Add options to show aspect ratio and frame rate.
FIXED-IN: 19.08.0

Test Plan: Under Control -> Additional Info -> Video, there should be options for aspect ratio and frame rate.

Reviewers: #dolphin, #kde_applications, ngraham

Reviewed By: #dolphin, #kde_applications, ngraham

Subscribers: astippich, ngraham, elvisangelaccio, kfm-devel

Tags: #dolphin

Differential Revision: https://phabricator.kde.org/D20074

M  +2    -0    src/kitemviews/kfileitemmodel.cpp
M  +1    -1    src/kitemviews/kfileitemmodel.h
M  +2    -0    src/kitemviews/private/kbaloorolesprovider.cpp

https://commits.kde.org/dolphin/4bca03532bcf7d1a1d66df7a8102e98b4cf3354a